const { baseUrl } = require('../../../request');
// pages/welcome/homePage/homePage.js
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  // 跳转用户登录
  userLogin(e) {
    const role = e.currentTarget.dataset.role;
    wx.navigateTo({
      url: `/pages/loginModule/pwdLogin/pwdLogin?role=${role}`,
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {
     let token = wx.getStorageSync('token')
     if (!token) return ;
     wx.request({
       url: baseUrl + '/userInfo/verify/token',
       method: 'POST',
       header: {
        'Authorization': token
      },
      success: res => {
        console.log(res.data)
        if (res.data.code === 1) {
          wx.switchTab({
            url: '/pages/course/homepage/homepage'
          })
        }
      }
     })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})